Governing rule by state
curl --request GET \
--url https://api.centsless.org/api/v1/jurisdiction/{state}const options = {method: 'GET'};
fetch('https://api.centsless.org/api/v1/jurisdiction/{state}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.centsless.org/api/v1/jurisdiction/{state}"
response = requests.get(url)
print(response.text){
"success": true,
"query": {},
"lookup_key": "NC",
"jurisdiction_id": "US-NC",
"jurisdiction_level": "<string>",
"rounding_mode": "symmetrical_rounding",
"enforcement": "<string>",
"obligation": "<string>",
"status": "<string>",
"legislation": "<string>",
"citation": "<string>",
"session_law": "<string>",
"effective_date": "2023-12-25",
"tier": {
"tier_id": "NC-TAX",
"tier_name": "<string>",
"transaction_type": "<string>",
"transaction_types": [
"<string>"
],
"rounding_mode": "symmetrical_rounding",
"enforcement": "<string>",
"obligation": "obligates",
"citation": "<string>",
"effective_date": "2023-12-25",
"sunset_date": "2023-12-25",
"description": "<string>",
"applies_to": "<string>"
},
"activation": {
"state": "in_force",
"governs": true,
"local_transaction_date": "2023-12-25",
"local_date_source": "<string>",
"time_zone": "<string>",
"effective_date": "2023-12-25",
"sunset_date": "2023-12-25",
"days_until_effective": 123,
"conditions": [
{
"type": "local_adoption",
"satisfied": true,
"basis": "<string>",
"note": "<string>"
}
],
"reason": "<string>"
},
"small_total_rule": {
"max_cents": 123,
"treatment": "exempt",
"note": "<string>"
},
"refund_policy": "same_rule",
"notice_required": true,
"pending_rules": [
{
"level": "<string>",
"lookup_key": "OK",
"jurisdiction_id": "<string>",
"legislation": "<string>",
"citation": "<string>",
"tier_id": "<string>",
"effective_date": "2023-12-25",
"days_until_effective": 123,
"local_transaction_date": "2023-12-25",
"obligation": "<string>",
"rounding_mode": "symmetrical_rounding"
}
],
"evaluated": [
{
"level": "<string>",
"key": "<string>",
"activation_state": "in_force",
"governs": true
}
],
"local_records": [
{
"level": "tribal",
"key": "FL:BREVARD:TITUSVILLE",
"jurisdiction_id": "<string>",
"status": "<string>",
"activation_state": "in_force",
"engine_supported": true,
"instrument": "<string>",
"evidence_tier": "<string>"
}
],
"statutory_basis": {
"jurisdiction_id": "<string>",
"jurisdiction_level": "<string>",
"lookup_key": "<string>",
"legislation": "<string>",
"session_law": "<string>",
"citation": "<string>",
"status": "<string>",
"activation_state": "in_force",
"obligation": "<string>",
"enforcement": "<string>",
"rounding_mode": "symmetrical_rounding",
"tier_id": "<string>",
"tier_citation": "<string>",
"effective_date": "2023-12-25",
"sunset_date": "2023-12-25",
"local_transaction_date": "2023-12-25",
"local_date_source": "sender_offset",
"time_zone": "<string>",
"conditions": [
{
"type": "local_adoption",
"satisfied": true,
"basis": "<string>",
"note": "<string>"
}
],
"source_url": "<string>",
"last_verified": "<string>",
"dataset_version": "2026.10.25-r2"
},
"resolved_location": {},
"resolution_chain": [
{
"level": "<string>",
"key": "<string>",
"found": true
}
],
"source_url": "<string>",
"last_verified": "<string>",
"dataset_version": "<string>",
"data_source": "<string>"
}Jurisdiction
Governing rule by state
GET
/
jurisdiction
/
{state}
Governing rule by state
curl --request GET \
--url https://api.centsless.org/api/v1/jurisdiction/{state}const options = {method: 'GET'};
fetch('https://api.centsless.org/api/v1/jurisdiction/{state}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.centsless.org/api/v1/jurisdiction/{state}"
response = requests.get(url)
print(response.text){
"success": true,
"query": {},
"lookup_key": "NC",
"jurisdiction_id": "US-NC",
"jurisdiction_level": "<string>",
"rounding_mode": "symmetrical_rounding",
"enforcement": "<string>",
"obligation": "<string>",
"status": "<string>",
"legislation": "<string>",
"citation": "<string>",
"session_law": "<string>",
"effective_date": "2023-12-25",
"tier": {
"tier_id": "NC-TAX",
"tier_name": "<string>",
"transaction_type": "<string>",
"transaction_types": [
"<string>"
],
"rounding_mode": "symmetrical_rounding",
"enforcement": "<string>",
"obligation": "obligates",
"citation": "<string>",
"effective_date": "2023-12-25",
"sunset_date": "2023-12-25",
"description": "<string>",
"applies_to": "<string>"
},
"activation": {
"state": "in_force",
"governs": true,
"local_transaction_date": "2023-12-25",
"local_date_source": "<string>",
"time_zone": "<string>",
"effective_date": "2023-12-25",
"sunset_date": "2023-12-25",
"days_until_effective": 123,
"conditions": [
{
"type": "local_adoption",
"satisfied": true,
"basis": "<string>",
"note": "<string>"
}
],
"reason": "<string>"
},
"small_total_rule": {
"max_cents": 123,
"treatment": "exempt",
"note": "<string>"
},
"refund_policy": "same_rule",
"notice_required": true,
"pending_rules": [
{
"level": "<string>",
"lookup_key": "OK",
"jurisdiction_id": "<string>",
"legislation": "<string>",
"citation": "<string>",
"tier_id": "<string>",
"effective_date": "2023-12-25",
"days_until_effective": 123,
"local_transaction_date": "2023-12-25",
"obligation": "<string>",
"rounding_mode": "symmetrical_rounding"
}
],
"evaluated": [
{
"level": "<string>",
"key": "<string>",
"activation_state": "in_force",
"governs": true
}
],
"local_records": [
{
"level": "tribal",
"key": "FL:BREVARD:TITUSVILLE",
"jurisdiction_id": "<string>",
"status": "<string>",
"activation_state": "in_force",
"engine_supported": true,
"instrument": "<string>",
"evidence_tier": "<string>"
}
],
"statutory_basis": {
"jurisdiction_id": "<string>",
"jurisdiction_level": "<string>",
"lookup_key": "<string>",
"legislation": "<string>",
"session_law": "<string>",
"citation": "<string>",
"status": "<string>",
"activation_state": "in_force",
"obligation": "<string>",
"enforcement": "<string>",
"rounding_mode": "symmetrical_rounding",
"tier_id": "<string>",
"tier_citation": "<string>",
"effective_date": "2023-12-25",
"sunset_date": "2023-12-25",
"local_transaction_date": "2023-12-25",
"local_date_source": "sender_offset",
"time_zone": "<string>",
"conditions": [
{
"type": "local_adoption",
"satisfied": true,
"basis": "<string>",
"note": "<string>"
}
],
"source_url": "<string>",
"last_verified": "<string>",
"dataset_version": "2026.10.25-r2"
},
"resolved_location": {},
"resolution_chain": [
{
"level": "<string>",
"key": "<string>",
"found": true
}
],
"source_url": "<string>",
"last_verified": "<string>",
"dataset_version": "<string>",
"data_source": "<string>"
}Query Parameters
Selects the tier where a state has more than one rule. Defaults to retail. Who is paying whom. Selects the tier of a state rule.
Available options:
retail, government_retail, government, tax_payment, state_agency, local_government, local_agency, school_district, liquor, abc_store, gaming, mvd_fee, wages, metals_recycler, currency_exchange Response
200 - application/json
The governing rule with activation.
The rule that governs a location on a date, with activation details.

